/**
 * @(#)ISame.java  10 November 2006
 *
 * @author Viera K. Proulx
 */

/** 
 * Compare this and the given object for programmer-defined equality.
 */
interface ISame<T>{
  /**
   * Determine whether the this object represents the same information
   * as the given one.
   * 
   * @param obj the object to compare with.
   * @return true if the two objects represent the same information.
   */
  boolean same(T obj);
}